Update glacier

This commit is contained in:
everest 2022-06-16 14:51:15 +00:00 committed by GitHub
parent 73daf1bfbb
commit efada985df
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -60,6 +60,10 @@ while [[ $# -gt 0 ]]; do
cat INSTALL.sh
printf "\033[1;34m [ i ] \033[m Executing installation instructions...\n"
./INSTALL.sh
if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2
exit 1
fi
./$input.ts.sh
# Clean up
printf "\033[1;34m [ i ] \033[m Cleaning up...\n"
@ -99,6 +103,10 @@ while [[ $# -gt 0 ]]; do
cat UPDATE.sh
printf "\033[1;34m [ i ] \033[m Executing update instructions...\n"
./UPDATE.sh
if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2
exit 1
fi
./$input.ts.sh
printf "\033[1;34m [ i ] \033[m Cleaning up...\n"
mv $input-pkginfo.json /etc/glacier/pkginfo
@ -135,6 +143,10 @@ while [[ $# -gt 0 ]]; do
cat REMOVE.sh
printf "$blue [ i ] $reset Executing removal instructions...\n"
./REMOVE.sh
if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2
exit 1
fi
rm /var/log/glacier/$input.timestamp
printf "\033[1;34m [ i ] \033[m Cleaning up... \n" # Status message
cd ..
@ -197,6 +209,10 @@ while [[ $# -gt 0 ]]; do
chmod +x INSTALL.sh
chmod +x $input.ts.sh
./INSTALL.sh # Actually executes installation script
if [ "$?" != "0" ]; then
printf "$red [ $error ]$reset Instructions were either unable to execute, or encountered an error while executing." 1>&2
exit 1
fi
./$input.ts.sh
printf "\033[1;34m [ i ] \033[m Cleaning up...\n" # Status message
mv -v $input-pkginfo.json /etc/glacier/pkginfo